pkcspad.h File Reference

Classes for PKCS padding schemes. More...

Go to the source code of this file.

## Classes

class | PKCS_EncryptionPaddingScheme
| PKCS #1 v1.5 Encryption Padding Scheme. More...
class | PKCS_DigestDecoration< H >
| PKCS #1 decoration data structure. More...
class | PKCS1v15_SignatureMessageEncodingMethod
| PKCS #1 v1.5 Signature Encoding Scheme. More...
struct | PKCS1v15_SignatureMessageEncodingMethod::HashIdentifierLookup
struct | PKCS1v15_SignatureMessageEncodingMethod::HashIdentifierLookup::HashIdentifierLookup2< H >
struct | PKCS1v15
| PKCS #1 version 1.5, for use with RSAES and RSASS . More...

## Variables

| PKCS_DigestDecoration< SHA1 >
| PKCS_DigestDecoration< SHA224 >
| PKCS_DigestDecoration< SHA256 >
| PKCS_DigestDecoration< SHA384 >
| PKCS_DigestDecoration< SHA512 >
| PKCS_DigestDecoration< SHA3_256 >
| PKCS_DigestDecoration< SHA3_384 >
| PKCS_DigestDecoration< SHA3_512 >

## Detailed Description

Classes for PKCS padding schemes.

PKCS #1 v1.5, v2.0 and P1363a allow MD2, MD5, SHA1, SHA224, SHA256, SHA384, SHA512, Tiger and RipeMd-160 to be instantiated.

Definition in file pkcspad.h.